Fehlende Berechtigung
Bei diesem Problem antwortet die API mit 403 Forbidden. Der Wert von type ist https://lingo.dev/docs/api/errors/missing-permission. Unter Fehler und Statuscodes findest du die gemeinsame Struktur aller Fehler.
Für diese Aktion brauchst du die Berechtigung org:manage_team, die deine Rolle nicht umfasst. Bitte einen Inhaber deiner Organisation, dir diese Berechtigung zu erteilen oder dir eine Rolle zuzuweisen, die sie umfasst.
Felder#
Neben den Standardfeldern type, status, title und detail enthält der Antwortkörper die folgenden Felder. Aus ihnen wird der Text in detail erzeugt. Ein Client kann daher stattdessen einen eigenen Text anzeigen.
| Feld | Typ |
|---|---|
permission | "org:manage_team" | "org:manage_billing" | "org:manage_settings" | "org:manage_api_keys" | "org:manage_integrations" | "org:delete" | "org:view_audit_logs" | "engine:read" | "engine:translate" | "engine:create" | "engine:edit" | "engine:delete" | "engine:review_translations" | "org:manage_reviews" | "org:glossary:read" | "org:glossary:edit" | "org:brandvoice:read" | "org:brandvoice:edit" | "org:ruleset:read" | "org:ruleset:edit" | "org:suggestion:read" | "org:suggestion:edit" |
Beispiel#
json
{
"detail": "This action requires the org:manage_team permission, which your role does not grant. Ask an organization owner to grant it or to assign you a role that has it.",
"permission": "org:manage_team",
"type": "https://lingo.dev/docs/api/errors/missing-permission",
"status": 403,
"title": "Missing permission"
}Zurückgegeben von#
DELETE /v2/invites/{id}DELETE /v2/members/{id}DELETE /v2/organizations/{id}DELETE /v2/organizations/{orgId}/provider-keys/{provider}DELETE /v2/roles/{id}GET /v2/organizations/{orgId}/audit-eventsGET /v2/organizations/{orgId}/audit-events/{eventId}GET /v2/organizations/{orgId}/billing/cost-by-modelGET /v2/organizations/{orgId}/billing/entitlementsGET /v2/organizations/{orgId}/billing/provider-costsGET /v2/organizations/{orgId}/billing/statusGET /v2/organizations/{orgId}/billing/usage-historyGET /v2/organizations/{orgId}/invitesGET /v2/organizations/{orgId}/localization/reviewsGET /v2/organizations/{orgId}/ssoPATCH /v2/invites/{id}PATCH /v2/organizations/{id}PATCH /v2/organizations/{orgId}/decision-pools/{id}PATCH /v2/organizations/{orgId}/members/{userId}PATCH /v2/organizations/{orgId}/provider-keys/{provider}PATCH /v2/organizations/{orgId}/ssoPATCH /v2/roles/{id}PATCH /v2/service-api-keys/{id}POST /v2/engines/{engineId}/glossary-terms/extract-from-vttPOST /v2/engines/{engineId}/provisioning/jobsPOST /v2/organizations/{orgId}/billing/attachPOST /v2/organizations/{orgId}/billing/auto-top-upPOST /v2/organizations/{orgId}/billing/portalPOST /v2/organizations/{orgId}/billing/setup-paymentPOST /v2/organizations/{orgId}/brand-voicesPOST /v2/organizations/{orgId}/decision-poolsPOST /v2/organizations/{orgId}/decision-pools/{id}/archivePOST /v2/organizations/{orgId}/enginesPOST /v2/organizations/{orgId}/github/connections/{connectionId}/import-historyPOST /v2/organizations/{orgId}/glossariesPOST /v2/organizations/{orgId}/invitesPOST /v2/organizations/{orgId}/measurements/{measurementId}/backfillPOST /v2/organizations/{orgId}/provisioning/jobsPOST /v2/organizations/{orgId}/rolesPOST /v2/organizations/{orgId}/rulesetsPOST /v2/organizations/{orgId}/service-api-keysPOST /v2/organizations/{orgId}/service-api-keys/scimPOST /v2/organizations/{orgId}/sso/disconnectPOST /v2/organizations/{orgId}/zendesk/connections/{connectionId}/import-historyPOST /v2/provisioning/jobs/{id}/retryPUT /v2/organizations/{orgId}/provider-keys/{provider}PUT /v2/organizations/{orgId}/ssoPUT /v2/service-api-keys/{id}/content-scopePUT /v2/service-api-keys/{id}/engines